
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HDU 2177 威佐夫博奕 hdu1527升级版 / 憋错料</title>

    <meta name="description" content="HDU 2177 威佐夫博奕 hdu1527升级版 取(2堆)石子游戏 Time Limit: 3000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Submission(s): 1075    Accepted Submission(s): 649 Problem Description 有两堆石子,数量任意,可以不同.游戏开始由两个人轮流取石子.游戏规定,每次有两种不同的取法,一是可以在任意的一堆中取走任意多的石子:二是可以在两堆中同时取走相同">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">HDU 2177 威佐夫博奕 hdu1527升级版</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>取(2堆)石子游戏</h1>
<p><strong>Time Limit: 3000/1000 MS (Java/Others)&nbsp;&nbsp;&nbsp;&nbsp;Memory Limit: 32768/32768 K (Java/Others)<br />Total Submission(s): 1075&nbsp;&nbsp;&nbsp;&nbsp;Accepted Submission(s): 649<br /></strong></p>
<p>Problem Description</p>
<p>有两堆石子，数量任意，可以不同。游戏开始由两个人轮流取石子。游戏规定，每次有两种不同的取法，一是可以在任意的一堆中取走任意多的石子；二是可以在两堆中同时取走相同数量的石子。最后把石子全部取完者为胜者。现在给出初始的两堆石子的数目，如果轮到你先取，假设双方都采取最好的策略，问最后你是胜者还是败者。如果你胜，你第1次怎样取子?</p>

<p>Input</p>
<p>输入包含若干行，表示若干种石子的初始情况，其中每一行包含两个非负整数a和b，表示两堆石子的数目，a和b都不大于1,000,000，且a&lt;=b。a=b=0退出。</p>

<p>Output</p>
<p>输出也有若干行，如果最后你是败者，则为0，反之，输出1，并输出使你胜的你第1次取石子后剩下的两堆石子的数量x,y,x&lt;=y。如果在任意的一堆中取走石子能胜同时在两堆中同时取走相同数量的石子也能胜，先输出取走相同数量的石子的情况.</p>

<p>Sample Input</p>
<p>1 2</p>
<p>5 8</p>
<p>4 7</p>
<p>2 2</p>
<p>0 0</p>

<p>Sample Output</p>
<p>0</p>
<p>1</p>
<p>4 7</p>
<p>3 5</p>
<p>0</p>
<p>1</p>
<p>0 0</p>
<p>1 2</p>


<p>思路：</p>
<p>当a和b满足奇异局势时，那么你必输，输出0。反之由威佐夫博奕性质知所有非奇异局势都可以一步转化成奇异局势。</p>
<p>转化奇异函数步骤：</p>
<p>1、同时从两堆中取相同数目的物品，k=b-a，那么当a-X[k]==b-Y[k]（X[k]与Y[k]为两堆物品数量）时，那么a和b肯定能转化成X[k]和Y[k]即从第一堆中取a-X[k]个从第二堆中取b-Y[k]个（很好证明）。</p>
<p>2、从一堆中取一部分物品，那么遍历一下就行了，由于a&lt;=b，那么从b中取物品肯定能达到奇异局势，当a==X[i]||a==Y[i](0&lt;=i&lt;=1000000)，那么就可以从b中取一部分物品就可以转化成X[i]、Y[i]。所以咱们还需要打表0------1000000的奇异局势。</p>

<p>打表奇异局势：由ak=k*(sqrt(5)+1)/2，b=ak+k。 &nbsp;遍历k就行了。</p>


<p>代码：</p>
<pre> 1 #include &lt;cstdio&gt;
 2 #include &lt;cstring&gt;
 3 #include &lt;vector&gt;
 4 #include &lt;algorithm&gt;
 5 #include &lt;iostream&gt;
 6 #include &lt;math.h&gt;
 7 #include &lt;map&gt;
 8 using namespace std;
 9 #define N 1000000
10 #define LL __int64
11
12 map&lt;pair&lt;int,int&gt;,int&gt;visited;
13 int X[N+2], Y[N+2];           //这里若改成map(int,int)X,Y提交后500多MS，可以看出当数据大的话map不如数组模拟hash匹配
14
15 void init(){                 //打表奇异局势
16     double i, j, k, r=(sqrt(5)+1.0)/2.0;
17     int a, b;
18     for(i=0;i&lt;=N;i++){
19         a=i*r;
20         b=a+i;
21         if(b&gt;N) break;
22         X[(int)i]=a;
23         Y[(int)i]=b;
24     }
25 }
26
27 main()
28 {
29     int a, b;
30     double j, k, r=(sqrt(5)+1.0)/2.0;
31     int i;
32     init();
33     while(scanf("%d %d",&amp;a,&amp;b)==2&amp;&amp;(a||b)){
34         visited.clear();
35         k=b-a;
36         if(a==(int)(k*r)){       //当a和b满足奇异局势时必输
37             printf("0\n");continue;
38         }
39         printf("1\n");
40         if(a-X[(int)k]==b-Y[(int)k]&amp;&amp;a-X[(int)k]&gt;0&amp;&amp;b-Y[(int)k]&gt;0){  //看同时从两堆物品中取相同数目的物品时能否达到奇异局势
41             printf("%d %d\n",X[(int)k],Y[(int)k]);
42             visited[make_pair(X[(int)k],Y[(int)k])]=1;
43         }
44         for(i=0;i&lt;=N;i++){                                 //从1堆物品中取
45             if(a==X[i]&amp;&amp;visited.find(make_pair(X[i],Y[i]))==visited.end()){
46                 printf("%d %d\n",X[i],Y[i]);
47             //    visited[make_pair(X[i],Y[i])]=1;
48             break;
49             }
50             if(a==Y[i]&amp;&amp;visited.find(make_pair(X[i],Y[i]))==visited.end()){
51                 printf("%d %d\n",X[i],Y[i]);
52             //    visited[make_pair(X[i],Y[i])]=1;
53             break;
54             }
55         }
56     }
57 }</pre>
<p><P><A href="http://www.bubuko.com/infodetail-323826.html" rel="external nofollow noreferrer">HDU 2177 威佐夫博奕 hdu1527升级版,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-16 18:04:51 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>HDU 2177 威佐夫博奕 hdu1527升级版的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JYlvP3.html" rel="bookmark">hdu 2177&lpar;威佐夫博奕&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:容易理解,在威佐夫博奕的基础上新增加了一条要求:就是如果在赢得条件下,输出第一步怎么走. 分析:使用暴力判断,详细见代码. 代码: #include&lt;stdio.h&gt; #include&lt;string.h&gt; #include&lt;math.h&gt; int a, b; int main() { double x = (1 + sqrt(5.0))/2.0; int i,k,temp,n,m; while(scanf(&quot;%d%d&quot;,&amp;a,&amp;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xRzkr4.html" rel="bookmark">hdu 2897&lpar;威佐夫博奕变形&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:容易理解. 分析:当n%(p+q)==0时,先取者必胜,必胜方案:先取q,然后对方去x个,先取者就取(p+q-x)个,最后对方就必须取玩p个, 当n%(p+q)==r(r&lt;=p),先取者必败:当n%(p+q)==r(r&gt;p&amp;&amp;r&lt;q)先取者赢. 代码实现: #include&lt;stdio.h&gt; #include&lt;string.h&gt; #include&lt;math.h&gt; int main() { int n, p, q; while(sc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Okejr3.html" rel="bookmark">HDU 1527 威佐夫博奕</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				取石子游戏 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) Total Submission(s): 4285    Accepted Submission(s): 2206 Problem Description 有两堆石子,数量任意,可以不同.游戏开始由两个人轮流取石子.游戏规定,每次有两种不同的取法,一是可以在任意的一堆中取走任意多的石子:二是可以在两堆中同时取走相同数量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RxgbY4.html" rel="bookmark">hdu 2177 取&lpar;2堆&rpar;石子游戏（威佐夫博奕）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:hdu 2177 这题不是普通的 Nim 博弈,我想它应该是另一种博弈吧,于是便推 sg 函数打了个 20*20 的表来看,为了方便看一些,我用颜色作了标记,打表代码如下: 1 #include&lt;cstdio&gt; 2 #include&lt;cstring&gt; 3 #include&lt;string&gt; 4 #include&lt;map&gt; 5 #include&lt;algorithm&gt; 6 #include&lt;windows.h&gt; 7 using n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qEzEp3.html" rel="bookmark">hdu 2177 取&lpar;2堆&rpar;石子游戏 &lpar;威佐夫博奕&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//,在威佐夫博奕的基础上新增加了一条要求:就是如果在赢得条件下,输出第一步怎么走. # include &lt;stdio.h&gt; # include &lt;algorithm&gt; # include &lt;iostream&gt; # include &lt;math.h&gt; # include &lt;string.h&gt; using namespace std; int main() { int a,b,i,k; while(~scanf(&quot;%d%d&quot;,&a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nkROo3.html" rel="bookmark">hdu 1527 取石子游戏（威佐夫博奕模板题）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				取石子游戏 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 3562    Accepted Submission(s): 1789 Problem Description 有两堆石子,数量任意,可以不同.游戏开始由两个人轮流取石子.游戏规定,每次有两种不同的取法,一是可以在任意的一堆中取走任意多的石子:二是可以在两堆中同时取走相同数量的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0b1EQpM.html" rel="bookmark">HDU 5973 Aninteresting game 威佐夫博奕（Wythoff Game）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HDU 5973:http://acm.hdu.edu.cn/showproblem.php?pid=5975 题意: 有两堆石子,每次可以从一堆石子中取任意个,或者从两堆石子中取相同个数的石子.两个人轮流用这种策略取石子,谁取完所有的石子就算胜利.问先手胜还是后手胜. 思路: 一模一样的威佐夫博奕(Wythoff Game),结论的是,假设a&gt;b,那么如果((1+sqrt(5))* (a - b))/2 == b ,那么先手必输.但是这道题的数据比较大,所以需要java做高精度. import			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLxLwdM.html" rel="bookmark">hdu1527 &amp;amp&semi; poj1067 取石子游戏  威佐夫博奕模型，，模板题o&lpar;╯&Square;╰&rpar;o</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				取石子游戏 Time Limit: 1000MS   Memory Limit: 10000K Total Submissions: 35727   Accepted: 12065 Description 有两堆石子,数量任意,可以不同.游戏开始由两个人轮流取石子.游戏规定,每次有两种不同的取法,一是可以在任意的一堆中取走任意多的石子:二是可以在两堆中同时取走相同数量的石子.最后把石子全部取完者为胜者.现在给出初始的两堆石子的数目,如果轮到你先取,假设双方都采取最好的策略,问最后你是胜者还是败者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/498eOb3.html" rel="bookmark">博弈：巴什博奕（Bash Game）威佐夫博奕（Wythoff Game）尼姆博奕（Nimm Game）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				巴什博奕(Bash Game):只有一堆n个物品,两个人轮流从这堆物品中取物,规定每次至少取一个,最多取m个.最后取光者得胜 对于巴什博弈可以考虑:n=(m+1)*k+s,即如果n%(m+1)!=0则先取者只需取走s物品即可保证获胜. HDU 1846:裸的. #include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;algorithm&gt; #include&lt;limits.h&gt; t			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QX2L3.html" rel="bookmark" class="title">在ubuntu中配置深度学习python图片分类实验环境</a>
					<div>
						1 安装numpy,scipy, matplotlib, sudo apt-get install python-numpy sudo apt-get install python-scipy sud ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/B0Rr590.html" rel="bookmark" class="title">jquery动态合并表格行</a>
					<div>
						利用&lt;td rowspan = &quot;num&quot;/&gt;;原理来实现,其中num为要合并的行数. &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQZ9k3.html" rel="bookmark" class="title">从C&plus;&plus;strStr到字符串匹配算法</a>
					<div>
						字符串的匹配先定义两个名词:模式串和文本串.我们的任务就是在文本串中找到模式串第一次出现的位置,如果找到就返回位置的下标,如果没有找到返回-1.其实这就是C++语言里面的一个函数: extern ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YgypX4.html" rel="bookmark" class="title">分数统计</a>
					<div>
						#include&lt;iostream&gt; using namespace std; int main() { float cj; int count[6]={0}; while(1) { ci ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEnbv0.html" rel="bookmark" class="title">数据库中常用的删除命令</a>
					<div>
						一.删除用户命令 drop user 和drop user cascade的区别: 1. Oracle中删除用户命令有两种:drop user XX: 和 drop user XX cascade:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enrJb3.html" rel="bookmark" class="title">语音的生成</a>
					<div>
						一.语音的产生 肺部受到肌肉力量,产生肺压,生成压缩气体, 气体通过气管传送到喉部,喉是控制声带运动的软骨和肌肉的复杂系统, 然后经过声带进入声道,声道通常是指声门至口唇的单个管,侧分支通向鼻腔, 最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kG1Oz0.html" rel="bookmark" class="title">搜索 -- grep</a>
					<div>
						小Q:说真话的唯一好处,就是不必记住你说过什么. =========================================================== 一:简介g r e p(glo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aOOzJ4.html" rel="bookmark" class="title">各式结构化数据 动态 接入-存储-查询 的处理办法 （第二部分）</a>
					<div>
						各式结构化数据的动态接入存储查询,这一需求相信有很多人都遇到过,随着实现技术路线选择的不同,遇到的问题出入大了,其解决办法也是大相径庭.数据存储在哪儿,是关系型数据库,还是NoSQL数据库,是MySQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDvQYK3.html" rel="bookmark" class="title">如何使用html的定位position和浮动float</a>
					<div>
						语法: position:static (静态定位) |  absolute (绝对定位) |  fixed (固定定位) |  relative  (相对定位) 属性参数: static:静态定位, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaKWx3.html" rel="bookmark" class="title">例题：学习数据库查询。学生信息表的创建，主外键关系，以及45道题的查询实例。主要知识点在讲页45页，和讲页65页</a>
					<div>
						create database shujuku use shujuku use cangku go --注意事项:外键对本关系不一定是键 --2:创建外键时,链接表的主关键字已经确立 --3:当创建外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmYNdVM.html" rel="bookmark" class="title">修改tomcat的8080端口</a>
					<div>
						- tomcat的端口配置相关信息在 server.xml中 - server.xml 记录了非常多的tomcat配置信息,其中就包括端口 - 用记事本打开 D:\tomcat\conf\server ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AE6ag4.html" rel="bookmark" class="title">unity5&comma; UGUI刺穿问题解法</a>
					<div>
						我希望在touch屏幕时player起跳,于是在playerControl.cs的Update函数中添加如下touch代码:  if (Input.GetMouseButtonDown (0)) {/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kNKelM.html" rel="bookmark" class="title">PID控制器（比例-积分-微分控制器）- III</a>
					<div>
						PID Controller Algorithms Controller manufacturers arrange the Proportional, Integral and Derivative ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzk6od0.html" rel="bookmark" class="title">Unity - 通过降低精度减少动画文件的大小</a>
					<div>
						Animation是Unity中的动画文件,主要内容由一个个关键帧数据构成.通过将Unity的资源序列化方式调整为Text,就可以以文本方式查看动画文件.通过菜单项Edit -&gt; Project ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQjeO0.html" rel="bookmark" class="title">顺序栈&mdash;&mdash;双栈&lpar;Dual Stack&rpar;</a>
					<div>
						顺序栈--双栈(Dual Stack) 1. 双栈的概念 1.1 双栈的定义 双栈是指两个顺序栈,是一种特殊的顺序栈. 1.2 双栈中各元素的逻辑及存储关系 双栈共享一个地址连续的存储单元.即程序同时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MowexyM.html" rel="bookmark" class="title">Hololens开发笔记之使用Unity开发一个简单的应用</a>
					<div>
						一.Hololens概述 Hololens有以下特性 1.空间映射借助微软特殊定制的全息处理单元(HPU),HoloLens 实现了对周边环境的快速扫描和空间匹配.这保证了 HoloLens能够准确地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pDKKw4.html" rel="bookmark" class="title">Goaccess 日志分析工具</a>
					<div>
						GoAccess 是一款开源的网站日志实时分析工具.GoAccess 的工作方式很容易理解,就是读取和解析 Apache/Nginx/Lighttpd 的访问日志文件 access log,然后以更友 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MowARkM.html" rel="bookmark" class="title">HTTP TCP&sol;IP SOCKET的理解和它们之间的关系</a>
					<div>
						参考网址:http://blog.csdn.net/lemonxuexue/article/details/4485877 http://blog.csdn.net/heyetina/article/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBK6Dy0.html" rel="bookmark" class="title">&lbrack;WPF系列&rsqb;基础 Listening to Dependency Property change notifications of a given Element</a>
					<div>
						I want to share this great post from Anoop that shows a easy way to add a notification system to dep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vy56X0.html" rel="bookmark" class="title">ubuntu下解压zip rar中文字符乱码的问题</a>
					<div>
						如题,解压zip rar中文乱码的问i题一直困扰着我,每次都要到window系统下解压,很是不方便,今天终于把这类问题解决了.整理总结分享如下 一 .    解决 Rar 压缩文件乱码问题 Rar 压 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
